      SUBROUTINE WLINEC (KREQ,ABUF,IOE)
C***********************************************************************
C
C   NAME- WLINEC
C
C   LANGUAGE- VS FORTRAN  TYPE- SUBROUTINE
C
C   VERSION-  0.00  DATE- 09/19/88  PROGRAMMER- SCHREITZ, R.  SF1300
C   VERSION-  0.00  DATE- 12/19/95  PROGRAMMER- SCHREITZ, R.  SF1300
C   VERSION-  2.00  DATE- 08/29/06  PROGRAMMER- SCHREITZ, R.  EC2200
C
C   FUNCTION-
C
C     WRITES THE BUFFER FOR FRAME (KFR,KREQ) IN THE GEOSTATIONARY
C     IMAGER DATABASE.
C
C     WLINEC SHOULD BE CALLED AFTER THE LAST CALL TO WLINE.
C
C   CALLING SEQUENCE PARAMETERS-
C
C     KREQ    I*4       POINTER - INDICATES REQUEST   (1 - 8)
C                       ALSO USED AS AN OFFSET FROM KUN TO INDICATE
C                       UNIT NUMBER TO BE ASSOCIATED WITH DATA SET
C                       RESERVED FOR DATABASE PRODUCT
C                       (SET TO PERMANENTLY TO 1 FOR THIS PROGRAM)
C     ABUF    C*1       BUFFER FOR FRAME (KFR,KREQ)
C                       (SPACE FOR NBZBUF PHYSICAL MACROBLOCKS)
                        CHARACTER*1 ABUF(211275)
C     IOE     I*4       ERROR CODE - A NEGATIVE NUMBER INDICATES
C                       THAT AN ATTEMPTED READ OR WRITE WAS NOT
C                       SUCCESSFULLY COMPLETED
C
C   LOCAL PARAMETERS-
C
C     KFR     I*4       POINTER - INDICATES FRAME     (1 - 2)
C
C   SUBPROGRAMS CALLED- ZRWAC
C
C   EXIT STATES- SEE CALLING SEQUENCE PARAMETER IOE
C
C***********************************************************************
      DATA KFR/1/
C
      CALL ZRWAC (KREQ,KFR,ABUF,IOE)
      RETURN
      END
