      SUBROUTINE CLOSERFM (KEY)
C***********************************************************************
C                                                                       
C   NAME- CLOSERFM
C                                                                       
C   LANGUAGE- FORTRAN     TYPE- SUBROUTINE                              
C                                                                       
C   VERSION-  2.00  DATE- 08/29/06  PROGRAMMER- SCHREITZ, R.  EC2200        
C                                                                       
C   FUNCTION- CLOSES REFORMATTER FILES                                  
C                                                                       
C   CALLING SEQUENCE PARAMETERS-                                        
C
C     KEY     I*4       NOT CURRENTLY USED
C                                                                       
C   KEY LOCAL PARAMETERS-                                               
C                                                                       
C     KREQ    I*4       POINTER - INDICATES DATABASE PRODUCT     (1 - 8)
C                       ALSO USED AS AN OFFSET FROM KUN TO INDICATE
C                       THE UNIT NUMBER TO BE ASSOCIATED WITH THE DATA
C                       SET RESERVED FOR THE DATABASE PRODUCT
C                       (SET TO PERMANENTLY TO 1 FOR THIS PROGRAM)
C                                                                       
C***********************************************************************
      INCLUDE 'rconst.i'
      INCLUDE 'ab211275.i'
      DATA KREQ/1/
C
      CLOSE (UFILE0)
      CLOSE (UFILEX)
      CLOSE (USCONV)
c
C     WRITE FINAL PRODUCT BUFFER.
      CALL WLINEC (KREQ,ABUF,IOE)
      IF (IOE.LT.0) PRINT 3910, IOE
C
      CLOSE (UDPROD)
  990 RETURN
C
 3910 FORMAT (' CLOSERFM: ERROR IN WRITING FINAL PRODUCT BUFFER',3X,
     *'IOE =',I4)
C     (THIS IS NOT A FATAL ERROR.)
C
      END
