      SUBROUTINE SCALE (SCLARY,ARYLEN)
C***********************************************************************
C   NAME- SCALE
C
C   LANGUAGE- VS FORTRAN  TYPE- SUBROUTINE      COMPUTER- 9000/3090
C
C   VERSION-  0.00  DATE- 09/08/87  PROGRAMMER- WHITE, NALAN
C                                               GSC
C   FUNCTION-
C
C     APPLIES APPROPRIATE SCALE TABLE TO AN ARRAY OF SENSOR DATA.
C     THE SCALE CONVERSION TABLES WERE READ FROM INPUT FILE USCONV
C     BY THE RFINIT SUBROUTINE, AND ARE STORED IN SCTVAL.
C
C   CALLING SEQUENCE PARAMETERS-
C
C     VARIABLE        TYPE  I/O   FUNCTION
C     --------        ----  ---   --------
C     SCLARY           I*2   O    SCALED VALUE ARRAY
C     ARYLEN           I*4   I    ARRAY LENGTH
C
C   COMMON AREA PARAMETERS-
      INCLUDE 'sctable.i'
C
C   LOCAL PARAMETERS - NONE
C
C   BLOCK DATA- NONE
C
C   SUBROUTINES CALLED- NONE
C
C   EXIT STATES- NONE
C
C   ATRIBUTES- NONE
C
C   COMMENTS- NONE
C
C***********************************************************************
C
      INTEGER*2   SCLARY(15000)
      INTEGER*4   ARYLEN
C
      DO 1000 I=1,ARYLEN
         SCLARY(I)=ISCTVAL(SCLARY(I))
 1000 CONTINUE
C
      RETURN
      END
